Package icyllis.arc3d.engine

# Class Device.Stats

java.lang.Object
icyllis.arc3d.engine.Device.Stats

Enclosing class:
  `Device`

public static final class Device.Stats extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `incImageCreates()`
  `void`
  `incNumDraws()`
  `void`
  `incNumDraws(int increment)`
  `void`
  `incNumFailedDraws()`
  `void`
  `incNumScratchMSAAAttachmentsReused()`
  `void`
  `incNumScratchRenderTargetsReused()`
  `void`
  `incNumScratchTexturesReused()`
  `void`
  `incNumSubmitToGpus()`
  `void`
  `incRenderPasses()`
  `void`
  `incTextureCreates()`
  `void`
  `incTextureUploads()`
  `void`
  `incTransfersFromSurface()`
  `void`
  `incTransfersToTexture()`
  `long`
  `numDraws()`
  `long`
  `numFailedDraws()`
  `long`
  `numImageCreates()`
  `long`
  `numRenderPasses()`
  `long`
  `numScratchMSAAAttachmentsReused()`
  `long`
  `numScratchRenderTargetsReused()`
  `long`
  `numScratchTexturesReused()`
  `long`
  `numSubmitToGpus()`
  `long`
  `numTextureCreates()`
  `long`
  `numTextureUploads()`
  `long`
  `numTransfersFromSurface()`
  `long`
  `numTransfersToTexture()`
  `void`
  `reset()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Stats

    public Stats()

- ## Method Details

  - ### reset

    public void reset()

  - ### numImageCreates

    public long numImageCreates()

  - ### incImageCreates

    public void incImageCreates()

  - ### numTextureCreates

    public long numTextureCreates()

  - ### incTextureCreates

    public void incTextureCreates()

  - ### numTextureUploads

    public long numTextureUploads()

  - ### incTextureUploads

    public void incTextureUploads()

  - ### numTransfersToTexture

    public long numTransfersToTexture()

  - ### incTransfersToTexture

    public void incTransfersToTexture()

  - ### numTransfersFromSurface

    public long numTransfersFromSurface()

  - ### incTransfersFromSurface

    public void incTransfersFromSurface()

  - ### numDraws

    public long numDraws()

  - ### incNumDraws

    public void incNumDraws()

  - ### incNumDraws

    public void incNumDraws(int increment)

  - ### numFailedDraws

    public long numFailedDraws()

  - ### incNumFailedDraws

    public void incNumFailedDraws()

  - ### numSubmitToGpus

    public long numSubmitToGpus()

  - ### incNumSubmitToGpus

    public void incNumSubmitToGpus()

  - ### numScratchTexturesReused

    public long numScratchTexturesReused()

  - ### incNumScratchTexturesReused

    public void incNumScratchTexturesReused()

  - ### numScratchRenderTargetsReused

    public long numScratchRenderTargetsReused()

  - ### incNumScratchRenderTargetsReused

    public void incNumScratchRenderTargetsReused()

  - ### numScratchMSAAAttachmentsReused

    public long numScratchMSAAAttachmentsReused()

  - ### incNumScratchMSAAAttachmentsReused

    public void incNumScratchMSAAAttachmentsReused()

  - ### numRenderPasses

    public long numRenderPasses()

  - ### incRenderPasses

    public void incRenderPasses()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`